Bug 498381 - unrecognized cmd line options in the man page of blkparse
unrecognized cmd line options in the man page of blkparse
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: blktrace (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Eric Sandeen
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 04:13 EDT by Milos Malik
Modified: 2013-06-21 10:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:41:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2009-04-30 04:13:24 EDT
Description of problem:
The man page of blkparse talks about 2 unrecognized cmd line options

Version-Release number of selected component (if applicable):
blktrace-1.0.0-3.el5

How reproducible:
always

Steps to Reproduce:
# man blkparse | col -b | grep -B 1 -A 1 -- "--missing"
       -m
       --missing
              Print missing entries
# /usr/bin/blkparse -m 2>&1 | head -n 2
/usr/bin/blkparse: invalid option -- m
Usage: /usr/bin/blkparse 1.0.0 
# /usr/bin/blkparse --missing 2>&1 | head -n 2
/usr/bin/blkparse: unrecognized option `--missing'
Usage: /usr/bin/blkparse 1.0.0 
# 

Actual results:
man page talks about 2 unsupported cmd line options

Expected results:
there are no unsupported cmd line options in the man page

Additional info:
Comment 1 Milos Malik 2009-05-04 06:03:32 EDT
The man page contains a typo in its .TH tag, which is visible when you run "man blkparse".

There is
.TH BLKTPARSE 1 "March  6, 2007" "blktrace git\-20070306202522" ""
instead of
.TH BLKPARSE 1 "March  6, 2007" "blktrace git\-20070306202522" ""
Comment 2 Eric Sandeen 2009-05-04 16:21:12 EDT
I've sent a patch fixing these and others upstream:

http://marc.info/?l=linux-btrace&m=124146824114158&w=2
Comment 4 Eric Sandeen 2009-05-13 18:54:04 EDT
Committed & built in blktrace-1.0.0-6.el5
Comment 11 errata-xmlrpc 2009-09-02 05:41:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1284.html

Note You need to log in before you can comment on or make changes to this bug.